prev - up - next - index

# Exception

  The ancester of the all exceptions.

## SuperClass:

  `Object`

## Class Methods:

  `exception([error_message = ""])`
  `new([error_message = ""])`

    Creates a new exception object. The error_message string can be supplied as the optional argument. The default exception handler at top leve, will show this error_message.

    `exception` is used internally by `raise`.

## Methods:

  `backtrace`

    Returns backtrace information as the array of the strings in the following format.

    `"#{sourcefile}:#{sourceline}:in `#{method}'"`
      (within methods)
    `"#{sourcefile}:#{sourceline}"`
      (at top level)
  `exception`

    Return self. This method is used internally by `raise`.

  `message`
  `to_s`
  `to_str`

    Returns the error message string.

  `set_backtrace(errinfo)`

    Sets the backtrace information of the exception. errinfo must be the array of the strings.

# Interrupt

  The exception for the untrapped `SIGINT`.

## SuperClass:

  `Exception`

# NotImplementError

  The exception raised when unimplemented feature was invoked.

## SuperClass:

  `Exception`

# SignalException

  The exception raised by the signals (except SIGINT).

## SuperClass:

  `Exception`

# StandardError

  The `rescue` class without class specifified will catch the subclasses of this exception class.

## SuperClass:

  `Exception`

# SystemExit

  Raised by `exit` to terminate the interpreter.

## SuperClass:

  `Exception`

# fatal

  The fatal error, which can not be caught nor handled.
  e.g.:

  - No more memory available
  - Thread dead-lock happened
  - Could not move to the directory specified by options -x and -X.
  - Could not perform inplace edit by some reasons

## SuperClass:

  `Exception`

# ArgumentError

  The exception raised when some problem found with methods arguments. E.g.

  > `Math.sqrt(-1)`

## SuperClass:

  `StandardError`

# FloatDomainError

  Raised by the floating point number operation with infinite number or NaN.

## SuperClass:

  `StandardError`

# IndexError

  Raised when index out of range.

## SuperClass:

  `StandardError`

# IOError

  Raised when I/O error happened.

## SuperClass:

  `StandardError`

# LoadError

  Raised when `load` or `require` failed.

## SuperClass:

  `StandardError`

# LocalJumpError

  raised by local jumps (`return`, `break`, `next`, `redo`, `retry`) from a `Proc` object which is brought out of its original scope.

## SuperClass:

  `StandardError`

# NameError

  Raised by accessing an undefined identifier.

## SuperClass:

  `StandardError`

# RuntimeError

  The default exception caused by `raise` without specifying an exception.

## SuperClass:

  `StandardError`

# SecurityError

  Raised by security problem with tainted data.

## SuperClass:

  `StandardError`

# SyntaxError

  Raised by a syntax error.

## SuperClass:

  `StandardError`

# SystemCallError

  The exceptions for system call failures.
  This is the abstract super class for the actual system call exception classes, which are defined under the `Errno` module.

## SuperClass:

  `StandardError`

## Methods:

  `errno`

    Returns the `errno` passed from the OS.

# SystemStackError

  Raised when stack level becomes too deep.

## SuperClass:

  `StandardError`

# TypeError

  Raised by the type problem. Mostly caused by C extensions.

## SuperClass:

  `StandardError`

# ThreadError

  Raised by the follwing `Thread`errors:

  - try to `join` the current thread.
  - `join` causes dead lock.
  - try to `wakeup` the dead thread.
  - try to `stop` a sole thread.
  - try to create a thread without the block.
  - global jump out of thread by `throw` happened.
  - exit from the thread block by `return`.

## SuperClass:

  `StandardError`

# ZeroDivisionError

  Raised by a division by zero.

## SuperClass:

  `StandardError`

# EOFError

  Raised when EOF is reached.

## SuperClass:

  `IOError`

prev - up - next - index

matz@netlab.co.jp